#
# spec file for package python3-django-markupfield
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python3-django-markupfield
Version:        1.4.1
Release:        1.6
Url:            http://github.com/jamesturk/django-markupfield/
Summary:        Custom Django field for easy use of markup in text fields
License:        BSD License
Group:          Development/Languages/Python
Source:         https://files.pythonhosted.org/packages/source/d/django-markupfield/django-markupfield-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
An implementation of a custom MarkupField for Django.  A MarkupField is in
essence a TextField with an associated markup type.  The field also caches
its rendered value on the assumption that disk space is cheaper than CPU
cycles in a web application.

%prep
%setup -q -n django-markupfield-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGELOG README.rst AUTHORS.txt
%{python3_sitelib}/*

%changelog
* Mon Dec 12 2016 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.4.1:
  * compatibility tweaks for Django 1.9 and 1.10
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Sat Jan  2 2016 arun@gmx.de
- update to version 1.4.0:
  * bugfixes for Django 1.9
  * drop support for deprecated Django versions
* Sun May 24 2015 arun@gmx.de
- update to version 1.3.5:
  * properly handle null=True
* Sat May  2 2015 arun@gmx.de
- update to version 1.3.4:
  * Fix for an issue where __proxy__ objects interfere w/ widget
    rendering.
* Thu Apr 23 2015 arun@gmx.de
- update to version 1.3.3:
  * Add test for issue fixed in last release:
    https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2015-0846
    Further documented here:
    https://www.djangoproject.com/weblog/2015/apr/21/docutils-security-advisory/
    Closes cve#2015-0846 , boo#928341
* Sun Apr 19 2015 arun@gmx.de
- update to version 1.3.2:
  * Fix for an issue with ReST, thanks to Markus Holtermann
* Wed Apr 15 2015 arun@gmx.de
- update to version 1.3.1:
  * Fix translation support to be lazy, thanks to Michael Kutý
* Sun Feb 22 2015 arun@gmx.de
- specfile:
  * update copyright year
- update to version 1.3.0:
  * Django 1.7 migration support, thanks to Frank Wiles
  * dedicated option for titles in markup choice field thanks to Markus Holtermann
  * fix for latest version of markdown library
* Sun Dec 14 2014 arun@gmx.de
- specfile:
  * updated copyright year
  * removed mod_name
  * added requirement for python3-setuptools
- update to version 1.2.1:
  * value_to_string check, fixing #16
  * urllize & linebreak fix, fixing #18
  * fix for __unicode__, fixing #9
* Sat Sep 28 2013 p.drouand@gmail.com
- Initial python3 support
* Sat Sep 28 2013 p.drouand@gmail.com
- Update to version 1.2.0
  + drop support for markup_choices being a dict entirely
  + PEP8 compliance
  + bugfix for default 'plain' markup type that escapes HTML
- Add AUTHORS.txt in documentation
- Use download url as source url
- Remove useless CFLAGS export
* Fri Mar 25 2011 alexandre@exatati.com.br
- Fix SLES and SLE build.
* Fri Mar 25 2011 alexandre@exatati.com.br
- Update to 1.0.2;
- Regenerate spec file with py2pack.
* Tue Mar  1 2011 alexandre@exatati.com.br
- Added a fix for MarkupField to work with South >= 0.7.
* Wed Apr  7 2010 alexandre@exatati.com.br
- Update to 1.0.0a2;
- Spec file cleaned with spec-cleaner.
* Sun Mar 28 2010 alexandre@exatati.com.br
- Update to 1.0.0a.
* Fri Jan 29 2010 alexandre@exatati.com.br
- Update to 0.3.1.
* Mon Oct 26 2009 alexandre@exatati.com.br
- Initial package (0.3.0) for openSUSE.
